﻿@page
@model PommaLabs.Thumbnailer.Server.Pages.IndexModel
@{
    ViewData["Title"] = "Home";
    ViewData["RequestUrl"] = Request.GetDisplayUrl();
}

<div class="row">
    <div class="col text-center">
        <h1>Thumbnailer</h1>
    </div>
</div>

<div class="row">
    <div class="col th-main-buttons">
        <a class="btn btn-primary btn-lg" asp-area="" asp-page="/Thumbnail">Thumbnail generation</a>
        <a class="btn btn-primary btn-lg" asp-area="" asp-page="/Optimize">Media optimization</a>
    </div>
</div>

<div class="row">
    <div class="col th-text-block">
        <h2>What is Thumbnailer?</h2>
        <p>
            Thumbnailer is a web service which exposes endpoints to generate file thumbnails and to optimize media
            files.
        </p>
        <p>
            Some supported file formats are:
        </p>
        <ul>
            <li>HTML documents (HTML, remote URLs)</li>
            <li>Images (PNG, JPG, SVG, WEBP, BMP, GIF, AVIF, HEIC)</li>
            <li>Office files (DOC/DOCX, XLS/XLSX, PPT/PPTX, ODT, ODS, ...)</li>
            <li>Printable documents (PDF, EPS, ...)</li>
            <li>RAW files (RAW, DNG, ...)</li>
            <li>Text files and source code</li>
            <li>Video files (MP4, AVI, MKV, ...)</li>
        </ul>
        <p>
            Please find further information on
            <a href="https://gitlab.com/pommalabs/thumbnailer/thumbnailer/" target="_blank" rel="noopener">GitLab project page</a>.
        </p>
    </div>
</div>
